OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayNodeOfFieldOfHArray1OfPersistent Class Reference

`#include <PColStd_VArrayNodeOfFieldOfHArray1OfPersistent.hxx>`

Inheritance diagram for PColStd_VArrayNodeOfFieldOfHArray1OfPersistent:

[legend]

## Public Member Functions
Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray1OfPersistent ()
Standard_EXPORT | PColStd_VArrayNodeOfFieldOfHArray1OfPersistent (const Handle(Standard_Persistent)&aValue)
Standard_EXPORT void | SetValue (const Handle(Standard_Persistent)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColStd_VArrayNodeOfFieldOfHArray1OfPersistent (const Storage_stCONSTclCOM &a)
| Handle (Standard_Persistent) _CSFDB_GetPColStd_VArrayNodeOfFieldOfHArray1OfPersistentmyValue() const
void | _CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfPersistentmyValue (const Handle(Standard_Persistent)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Standard_Persistent | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::PColStd_VArrayNodeOfFieldOfHArray1OfPersistent | ( |  | ) |

Standard_EXPORT PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::PColStd_VArrayNodeOfFieldOfHArray1OfPersistent | ( | const Handle(Standard_Persistent)& | aValue | ) |

PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::PColStd_VArrayNodeOfFieldOfHArray1OfPersistent | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::_CSFDB_SetPColStd_VArrayNodeOfFieldOfHArray1OfPersistentmyValue | ( | const Handle(Standard_Persistent)& | p | ) | `[inline]`

Standard_EXPORT const PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::Handle | ( | Standard_Persistent |  | ) | const`[inline]`

Standard_EXPORT void PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::SetValue | ( | const Handle(Standard_Persistent)& | aValue | ) |

Standard_EXPORT Standard_Address PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Persistent PColStd_VArrayNodeOfFieldOfHArray1OfPersistent::myValue`[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayNodeOfFieldOfHArray1OfPersistent.hxx